Bug 1295190 - AttributeError: 'Terminal' object has no attribute 'fork_command_full'
AttributeError: 'Terminal' object has no attribute 'fork_command_full'
Status: NEW
Product: Fedora
Classification: Fedora
Component: nautilus-terminal (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-03 07:20 EST by Andrey Motoshkov
Modified: 2017-02-28 04:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrey Motoshkov 2016-01-03 07:20:34 EST
Description of problem:
Terminal doesn't appear in nautilus window 

Version-Release number of selected component (if applicable):
nautilus-3.18.4-1.fc23.x86_64
nautilus-terminal-1.0-1.fc23.5.noarch

How reproducible:


Steps to Reproduce:
1. Install nautilus-terminal
2. Open nautilus
3.

Actual results:
No terminal in nautilus window

Expected results:
Terminal is visible in nautilus window

Additional info:
Log:
org.gnome.Nautilus[7282]: sys:1: PyGIWarning: Nautilus was imported without specifying a version first. Use gi.require_version('Nautilus', '3.0') before import to ensure that the right version gets loaded.
org.gnome.Nautilus[7282]: /usr/share/nautilus-python/extensions/nautilus_terminal.py:48: PyGIWarning: Vte was imported without specifying a version first. Use gi.require_version('Vte', '2.91') before import to ensure that the right version gets loaded.
org.gnome.Nautilus[7282]: from gi.repository import GObject, Nautilus, Gtk, Gdk, Vte, GLib
nautilus[10499]: detected unhandled Python exception in 'nautilus'
org.gnome.Nautilus[7282]: Traceback (most recent call last):
org.gnome.Nautilus[7282]: File "/usr/share/nautilus-python/extensions/nautilus_terminal.py", line 393, in _on_crowbar_parent_set
org.gnome.Nautilus[7282]: [Nautilus Terminal] I: Initializing the Nautilus extension
org.gnome.Nautilus[7282]: nterm = NautilusTerminal(self._uri, self._window)
org.gnome.Nautilus[7282]: File "/usr/share/nautilus-python/extensions/nautilus_terminal.py", line 123, in __init__
org.gnome.Nautilus[7282]: self.shell_pid = self.term.fork_command_full(Vte.PtyFlags.DEFAULT,
org.gnome.Nautilus[7282]: AttributeError: 'Terminal' object has no attribute 'fork_command_full'
Comment 1 Yaakov Selkowitz 2016-03-29 17:19:46 EDT
This should be fixed in 1.1.  Alternatively, adding gi.require_version('Vte', '2.90') to nautilus_terminal.py before the import (and installing vte3 if not already present) should work.
Comment 2 Fedora Admin XMLRPC Client 2016-11-07 07:25:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 09:40:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-02-28 04:52:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.